Index: lemon/lgf_reader.h
===================================================================
--- lemon/lgf_reader.h	(revision 1250)
+++ lemon/lgf_reader.h	(revision 1069)
@@ -3340,5 +2236,5 @@
     /// whitespaces are trimmed from each processed string.
     ///
-    /// For example, let's see a section, which contain several
+    /// For example let's see a section, which contain several
     /// integers, which should be inserted into a vector.
     ///\code
Index: lemon/lgf_writer.h
===================================================================
--- lemon/lgf_writer.h	(revision 1250)
+++ lemon/lgf_writer.h	(revision 646)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2010
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -186,5 +186,5 @@
       ValueStorage(const Value& value, const Converter& converter = Converter())
         : _value(value), _converter(converter) {}
-      
+
       virtual std::string get() {
         return _converter(_value);
@@ -192,47 +192,18 @@
     };
 
-    template <typename Value,
-              typename Map = std::map<Value, std::string> >
+    template <typename Value>
     struct MapLookUpConverter {
-      const Map& _map;
-
-      MapLookUpConverter(const Map& map)
+      const std::map<Value, std::string>& _map;
+
+      MapLookUpConverter(const std::map<Value, std::string>& map)
         : _map(map) {}
 
-      std::string operator()(const Value& value) {
-        typename Map::const_iterator it = _map.find(value);
+      std::string operator()(const Value& str) {
+        typename std::map<Value, std::string>::const_iterator it =
+          _map.find(str);
         if (it == _map.end()) {
           throw FormatError("Item not found");
         }
         return it->second;
-      }
-    };
-
-    template <typename Value,
-              typename Map1 = std::map<Value, std::string>,
-              typename Map2 = std::map<Value, std::string> >
-    struct DoubleMapLookUpConverter {
-      const Map1& _map1;
-      const Map2& _map2;
-
-      DoubleMapLookUpConverter(const Map1& map1, const Map2& map2)
-        : _map1(map1), _map2(map2) {}
-
-      std::string operator()(const Value& value) {
-        typename Map1::const_iterator it1 = _map1.find(value);
-        typename Map1::const_iterator it2 = _map2.find(value);
-        if (it1 == _map1.end()) {
-          if (it2 == _map2.end()) {
-            throw FormatError("Item not found");
-          } else {
-            return it2->second;
-          }
-        } else {
-          if (it2 == _map2.end()) {
-            return it1->second;
-          } else {
-            throw FormatError("Item is ambigous");
-          }
-        }
       }
     };
@@ -381,5 +352,5 @@
 
   template <typename TDGR>
-  DigraphWriter<TDGR> digraphWriter(const TDGR& digraph,
+  DigraphWriter<TDGR> digraphWriter(const TDGR& digraph, 
                                    std::ostream& os = std::cout);
   template <typename TDGR>
@@ -534,5 +505,5 @@
 
     template <typename TDGR>
-    friend DigraphWriter<TDGR> digraphWriter(const TDGR& digraph,
+    friend DigraphWriter<TDGR> digraphWriter(const TDGR& digraph, 
                                              std::ostream& os);
     template <typename TDGR>
@@ -945,8 +916,7 @@
   /// \ingroup lemon_io
   ///
-  /// \brief Return a \ref lemon::DigraphWriter "DigraphWriter" class
-  ///
-  /// This function just returns a \ref lemon::DigraphWriter
-  /// "DigraphWriter" class.
+  /// \brief Return a \ref DigraphWriter class
+  ///
+  /// This function just returns a \ref DigraphWriter class. 
   ///
   /// With this function a digraph can be write to a file or output
@@ -969,8 +939,7 @@
   ///\endcode
   ///
-  /// For a complete documentation, please see the
-  /// \ref lemon::DigraphWriter "DigraphWriter"
+  /// For a complete documentation, please see the \ref DigraphWriter
   /// class documentation.
-  /// \warning Don't forget to put the \ref lemon::DigraphWriter::run() "run()"
+  /// \warning Don't forget to put the \ref DigraphWriter::run() "run()"
   /// to the end of the parameter list.
   /// \relates DigraphWriter
@@ -989,5 +958,5 @@
   /// \sa digraphWriter(const TDGR& digraph, std::ostream& os)
   template <typename TDGR>
-  DigraphWriter<TDGR> digraphWriter(const TDGR& digraph,
+  DigraphWriter<TDGR> digraphWriter(const TDGR& digraph, 
                                     const std::string& fn) {
     DigraphWriter<TDGR> tmp(digraph, fn);
@@ -1018,5 +987,5 @@
   /// \ingroup lemon_io
   ///
-  /// \brief \ref lgf-format "LGF" writer for undirected graphs
+  /// \brief \ref lgf-format "LGF" writer for directed graphs
   ///
   /// This utility writes an \ref lgf-format "LGF" file.
@@ -1074,6 +1043,6 @@
     /// \brief Constructor
     ///
-    /// Construct an undirected graph writer, which writes to the
-    /// given output stream.
+    /// Construct a directed graph writer, which writes to the given
+    /// output stream.
     GraphWriter(const GR& graph, std::ostream& os = std::cout)
       : _os(&os), local_os(false), _graph(graph),
@@ -1082,5 +1051,5 @@
     /// \brief Constructor
     ///
-    /// Construct a undirected graph writer, which writes to the given
+    /// Construct a directed graph writer, which writes to the given
     /// output file.
     GraphWriter(const GR& graph, const std::string& fn)
@@ -1095,5 +1064,5 @@
     /// \brief Constructor
     ///
-    /// Construct a undirected graph writer, which writes to the given
+    /// Construct a directed graph writer, which writes to the given
     /// output file.
     GraphWriter(const GR& graph, const char* fn)
@@ -1133,9 +1102,9 @@
     friend GraphWriter<TGR> graphWriter(const TGR& graph, std::ostream& os);
     template <typename TGR>
-    friend GraphWriter<TGR> graphWriter(const TGR& graph,
+    friend GraphWriter<TGR> graphWriter(const TGR& graph, 
                                         const std::string& fn);
     template <typename TGR>
     friend GraphWriter<TGR> graphWriter(const TGR& graph, const char *fn);
-
+    
     GraphWriter(GraphWriter& other)
       : _os(other._os), local_os(other.local_os), _graph(other._graph),
@@ -1321,7 +1290,7 @@
     }
 
-    /// \brief Add an additional caption to the \c \@edges section
-    ///
-    /// Add an additional caption to the \c \@edges section.
+    /// \brief Add an additional caption to the \c \@arcs section
+    ///
+    /// Add an additional caption to the \c \@arcs section.
     GraphWriter& edges(const std::string& caption) {
       _edges_caption = caption;
@@ -1586,7 +1555,7 @@
   /// \ingroup lemon_io
   ///
-  /// \brief Return a \ref lemon::GraphWriter "GraphWriter" class
-  ///
-  /// This function just returns a \ref lemon::GraphWriter "GraphWriter" class.
+  /// \brief Return a \ref GraphWriter class
+  ///
+  /// This function just returns a \ref GraphWriter class. 
   ///
   /// With this function a graph can be write to a file or output
@@ -1605,8 +1574,7 @@
   ///\endcode
   ///
-  /// For a complete documentation, please see the
-  /// \ref lemon::GraphWriter "GraphWriter"
+  /// For a complete documentation, please see the \ref GraphWriter
   /// class documentation.
-  /// \warning Don't forget to put the \ref lemon::GraphWriter::run() "run()"
+  /// \warning Don't forget to put the \ref GraphWriter::run() "run()"
   /// to the end of the parameter list.
   /// \relates GraphWriter
